[
	{
		"description": "Proper UTF-16 surrogate pair handling: pattern",
		"comment": "Optional because .Net doesn't correctly handle 32-bit Unicode characters",
		"schema": {
			"pattern": "^🐲*$"
		},
		"skip": {
			"v3-roundtrip": "generation only supported in version https://json-schema.org/draft/2020-12/schema"
		},
		"tests": [
			{
				"description": "matches empty",
				"data": "",
				"valid": true,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "matches single",
				"data": "🐲",
				"valid": true,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "matches two",
				"data": "🐲🐲",
				"valid": true,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "doesn't match one",
				"data": "🐉",
				"valid": false,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "doesn't match two",
				"data": "🐉🐉",
				"valid": false,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "doesn't match one ASCII",
				"data": "D",
				"valid": false,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "doesn't match two ASCII",
				"data": "DD",
				"valid": false,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			}
		]
	},
	{
		"description": "Proper UTF-16 surrogate pair handling: patternProperties",
		"comment": "Optional because .Net doesn't correctly handle 32-bit Unicode characters",
		"schema": {
			"patternProperties": {
				"^🐲*$": {
					"type": "integer"
				}
			}
		},
		"skip": {
			"v3-roundtrip": "generation only supported in version https://json-schema.org/draft/2020-12/schema"
		},
		"tests": [
			{
				"description": "matches empty",
				"data": {
					"": 1
				},
				"valid": true,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "matches single",
				"data": {
					"🐲": 1
				},
				"valid": true,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "matches two",
				"data": {
					"🐲🐲": 1
				},
				"valid": true,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "doesn't match one",
				"data": {
					"🐲": "hello"
				},
				"valid": false,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			},
			{
				"description": "doesn't match two",
				"data": {
					"🐲🐲": "hello"
				},
				"valid": false,
				"skip": {
					"v3-roundtrip": "could not extract schema"
				}
			}
		]
	}
]
